2010-06-01  Lluis Sanchez Gual  <lluis@novell.com>

	* AutotoolsContext.cs:
	* SolutionDeployer.cs:
	* SolutionMakefileHandler.cs: Don't allow spaces in paths.

2010-05-28  Lluis Sanchez Gual  <lluis@novell.com>

	* Commands.cs: Fix incorrect use of
	  ShowCustomDialog/RunCustomDialog.

2010-05-26  Lluis Sanchez Gual  <lluis@novell.com>

	* TarballBuilderEditorWidget.cs: Use ShowCustomDialog (which
	  destroys the dialog when done) instead of RunCustomDialog
	  (which doesn't).

2010-05-22  Michael Hutchinson  <mhutchinson@novell.com>

	* Commands.cs:
	* TarballBuilderEditorWidget.cs: More dialog placing.

2010-03-24  Lluis Sanchez Gual  <lluis@novell.com>

	* SimpleProjectMakefileHandler.cs: Removed unnecessary
	  ToMakefilePath call (it is already called when adding paths
	  to extraFiles).

	* MakefileData.cs: Properly escape spaces.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Autotools.addin.xml: Bumped MD version.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* Commands.cs:
	* MakefileData.cs:
	* gtk-gui/gui.stetic:
	* MakefileOptionPanel.cs:
	* ImportMakefileDialog.cs:
	* GenerateMakefilesDialog.cs:
	* FileNodeBuilderExtension.cs:
	* MakefileOptionPanelWidget.cs:
	* MonoDevelop.Autotools.csproj:
	* MonoDevelop.Autotools.addin.xml: Merged MD.Projects into
	  MD.Core, and MD.Projects.Gui, MD.Core.Gui and MD.Components
	  into MD.Ide.

2010-03-03  Michael Hutchinson  <mhutchinson@novell.com>

	* MakefileData.cs:
	* SimpleProjectMakefileHandler.cs: Track ProjectFile Link API.

2010-03-03  Levi Bard  <levi@unity3d.com>

	* MakefileData.cs:
	* gtk-gui/gui.stetic:
	* MakefileOptionPanelWidget.cs:
	* MakefileProjectServiceExtension.cs:
	* gtk-gui/MonoDevelop.Autotools.MakefileOptionPanelWidget.cs:
	  Add option for number of parallel build processes.

2010-02-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MakefileData.cs: Fix assembly resolution issue when loading
	  a project.

2010-02-16  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MakefileReaderExtension.cs:
	* MonoDevelop.Autotools.csproj: Remove usnused extension.

2010-01-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MakefileIntegrationFeature.cs: Track api changes.

2010-01-28  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.Autotools.MakefileSwitchEditor.cs:
	* gtk-gui/MonoDevelop.Autotools.GenerateMakefilesDialog.cs:
	* gtk-gui/MonoDevelop.Autotools.MakefileOptionPanelWidget.cs:
	* gtk-gui/MonoDevelop.Autotools.TarballBuilderEditorWidget.cs:
	* gtk-gui/MonoDevelop.Autotools.MakefileSwitchEditorWidget.cs:
	* gtk-gui/MonoDevelop.Autotools.MakefileIntegrationFeatureWidget.cs:
	  Flush.

2010-01-19  Michael Hutchinson  <mhutchinson@novell.com>

	* SolutionDeployer.cs: Fix Bug 572048 - Spelling mistake in
	  Packaging Output.

2009-12-01  Lluis Sanchez Gual  <lluis@novell.com>

	* Handler.cs:
	* MakefileData.cs:
	* ConfigSection.cs:
	* GenerateMakefilesDialog.cs:
	* SolutionMakefileHandler.cs:
	* SimpleProjectMakefileHandler.cs:
	* MakefileProjectServiceExtension.cs: Introduced the
	  ConfigurationSelector class to all methods that previously
	  took a configuration name as string. This eliminates the
	  ambiguity between solution configuration names and project
	  configuration names.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Autotools.addin.xml: Bump MD version.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MakefileOptionPanelWidget.cs: Improve error handling.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.Autotools.MakefileSwitchEditor.cs:
	* gtk-gui/MonoDevelop.Autotools.GenerateMakefilesDialog.cs:
	* gtk-gui/MonoDevelop.Autotools.MakefileOptionPanelWidget.cs:
	* gtk-gui/MonoDevelop.Autotools.MakefileSwitchEditorWidget.cs:
	* gtk-gui/MonoDevelop.Autotools.TarballBuilderEditorWidget.cs:
	* gtk-gui/MonoDevelop.Autotools.MakefileIntegrationFeatureWidget.cs:
	  Flush.

2009-10-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Autotools.csproj: Flush.

	* MonoDevelop.Autotools.addin.xml: Disable autotools features
	  on windows.

2009-10-08  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Autotools.addin.xml: Disabled autotools and
	  makefile generation on windows.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Autotools.addin.xml: Bump MD version.

2009-10-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MakefileData.cs: Absolute or relative paths should not be
	  considered for package reference. Fixes bug #510595.

2009-10-02  Mike Krüger  <mkrueger@novell.com>

	* MakefileData.cs: Handled the required packages references.

2009-10-01  Lluis Sanchez Gual  <lluis@novell.com>

	* SimpleProjectMakefileHandler.cs: Avoid variable name
	  colisions for files to be deployed. Fixes bug #537497 -
	  Generated Makefiles should use relative paths for rule names
	  instead of just filenames for content files.

2009-09-28  Mike Krüger  <mkrueger@novell.com>

	* MakefileData.cs: Makefiles are no longer changed, when a
	  package is included that is already included using a package
	  requirement.

2009-09-09  Christian Hergert  <chris@dronelabs.com>

	* MakefileReaderExtension.cs: Make dialog transient to the
	  root monodevelop window.

2009-09-01  Lluis Sanchez Gual  <lluis@novell.com>

	* SimpleProjectMakefileHandler.cs: Include Content files to
	  the list of files to deploy. Fixes bug #502111 - Generated
	  tarballs do not include .desktop files.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Update gtk# dependency.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Autotools.csproj: Updated dependencies. We now
	  depend on gtk# 2.12.8, Mono 2.4, and Mono.Addins 0.4.

2009-08-24  Lluis Sanchez Gual  <lluis@novell.com>

	* templates/Makefile.am.project.template:
	* templates/Makefile.noauto.project.template: Fix issue that
	  prevented generated makefiles from working in parallel
	  builds. Patch by Bertrand Lorentz. Closes bug #531349 -
	  Generated Makefile.am does not properly support parallel
	  make.

2009-08-19  Lluis Sanchez Gual  <lluis@novell.com>

	* Handler.cs: Store TargetDirectory as a relative path. Fixes
	  bug #532295 - TargetDirectory for a packaging project should
	  be relative to the project.

2009-08-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MakefileData.cs:
	* CustomMakefile.cs: Track api changes.

2009-08-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MakefileData.cs: Track api changes.

2009-08-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MakefileData.cs:
	* MakefileOptionPanelWidget.cs: Use the new AssemblyContext
	  class to query and resolve assemblies.

2009-07-31  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.Autotools.TarballBuilderEditorWidget.cs:
	  Fix layout of Edit Switches button.

2009-07-31  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Flush.

2009-07-27  Lluis Sanchez Gual  <lluis@novell.com>

	* MakefileData.cs:
	* MakefileOptionPanelWidget.cs: Removed
	  CorePackageAssemblyNames because it doesn't really support
	  multiple frameworks. The GetAssemblyFullName method already
	  does the job of converting assembly names to full names.

2009-07-27  Lluis Sanchez Gual  <lluis@novell.com>

	* SolutionDeployer.cs: Fix nullref.

2009-07-22  Lluis Sanchez Gual  <lluis@novell.com>

	* SimpleProjectMakefileHandler.cs: Fix nullref.

2009-06-23  Jérémie Laval  <jeremie.laval@gmail.com>
	* MonoDevelop.Autotools.csproj:
	* Makefile.am: Added the new files
	
	* Switch.cs:
	* gtk-gui/MonoDevelop.Autotools.MakefileSwitchEditor.cs
	* gtk-gui/MonoDevelop.Autotools.MakefileSwitchEditorWidget.cs:
	* MakefileSwitchEditorWidget.cs:
	* MakefileSwitchEditor.cs: new switch editor code
	
	* gtk-gui/objects.xml:
	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.Autotools.TarballBuilderEditorWidget.cs:
	* SimpleProjectMakefileHandler.cs:
	* Handler.cs:
	* SolutionDeployer.cs:
	* AutotoolsContext.cs:
	* TarballBuilderEditorWidget.cs: Added switch editor support code

2009-06-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MakefileData.cs: Track assembly lookup APIs.

2009-05-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MakefileData.cs:
	* MakefileProjectServiceExtension.cs: Disable makefile
	  integration on windows for now.

2009-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MakefileData.cs:
	* AutotoolsContext.cs:
	* SimpleProjectMakefileHandler.cs:
	* MakefileProjectServiceExtension.cs: Use the new FilePath
	  class for handling file and directory paths.

2009-04-17  Mike Kestner  <mkestner@novell.com>

	* MonoDevelop.Autotools.csproj: don't require specific
	gtk-sharp version.

2009-04-16  Lluis Sanchez Gual  <lluis@novell.com>

	* MakefileData.cs:
	* SolutionDeployer.cs:
	* AutotoolsContext.cs:
	* SimpleProjectMakefileHandler.cs: Moved SystemAssemblyService
	  and related classes to the namespace
	  MonoDevelop.Core.Assemblies.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Autotools.addin.xml: Bump MD version.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* MakefileData.cs:
	* SimpleProjectMakefileHandler.cs: Track api changes to
	  support multiple target runtimes.

2009-02-26  Mike Krüger  <mkrueger@novell.com>

	* PropertyProvider.cs: Worked on propertygrid localization.

2009-02-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Autotools.addin.xml: Track merge of the project
	  pad context menu.

2009-02-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MakefileData.cs:
	* SimpleProjectMakefileHandler.cs: Track api changes.

2009-02-13  Lluis Sanchez Gual  <lluis@novell.com>

	* templates/configure.ac.template: Fix for bug #465118 -
	  AM_MAINTANER_MODE missing from generated configure.ac.

2009-02-13  Lluis Sanchez Gual  <lluis@novell.com>

	* templates/Makefile.include: Added targets for installing
	  satellite assemblies.

2009-02-11  Lluis Sanchez Gual  <lluis@novell.com>

	* AutotoolsContext.cs:
	* SolutionDeployer.cs: Read templates from the right
	  directory.

	* MakefileData.cs: Track api changes.

2009-02-08  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.Autotools.addin.xml: Move template file location
	  to a subdirectory to match the location MSBuild and MD copy
	  them.

	* MonoDevelop.Autotools.csproj: Copy templates to output only
	  if newer.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Autotools.mdp:
	* MonoDevelop.Autotools.csproj: Migrated to MSBuild file
	  format.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Autotools.addin.xml: Bump MD version.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.Autotools.GenerateMakefilesDialog.cs:
	* gtk-gui/MonoDevelop.Autotools.MakefileOptionPanelWidget.cs:
	* gtk-gui/MonoDevelop.Autotools.TarballBuilderEditorWidget.cs:
	*
	  gtk-gui/MonoDevelop.Autotools.MakefileIntegrationFeatureWidget.cs:
	  Flush.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* CustomMakefile.cs: Make some regex static.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Autotools.mdp: Flush project format changes.

2009-01-19  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MakefileData.cs: Update vala error regex to catch gcc errors as well.

2009-01-15  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MakefileOptionPanelWidget.cs: Don't overwrite saved targets.

2009-01-14  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MakefileData.cs: Add vala error regexes.

2008-12-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Autotools.mdp: All projects now require fx 3.5.

2008-12-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MakefileData.cs:
	* SimpleProjectMakefileHandler.cs: Track API changes.

2008-12-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Autotools.mdp: Don't require a specific version of
	Mono.Addins.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* AssemblyInfo.cs: Add AssemblyInfo.cs files that are autogenerated from
	the addin manifests.

2008-11-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MakefileOptionPanelWidget.cs: Avoid asking for creating makefiles when
	switching pages.

2008-11-19  Lluis Sanchez Gual  <lluis@novell.com>

	* Commands.cs:
	* MakefileOptionPanelWidget.cs: When enabling makefile integration, if
	no makefiles are found in the project directory, show a message
	offering generating them.

2008-11-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MakefileProjectServiceExtension.cs: Allow executing when a makefile
	execution target is defined.

	* Makefile.am: Fix parallel build issues.

2008-11-06  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am: Fix build dependencies.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Autotools.addin.xml: Bump MD version.

2008-11-04  Lluis Sanchez Gual  <lluis@novell.com>

	* SimpleProjectMakefileHandler.cs: Fix naming of satellite assemblies.
	Base name must be the name of the original assembly, not the default
	namespace. 

	* MakefileProjectServiceExtension.cs: Include referenced configure.in
	file in the item's list.

	* MakefileData.cs: Fix string formatting.

2008-10-01  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Autotools.addin.xml, FileNodeBuilderExtension.cs: Added
	  quick property for enabling inclusion in makefiles synching.
	  Supports multi-select.
	* SimpleProjectMakefileHandler.cs, MakefileData.cs: Track API.

2008-09-29  Lluis Sanchez Gual <lluis@novell.com> 

	* SimpleProjectMakefileHandler.cs: If an assembly is going to be
	  signed, make sure the key is distributed.

2008-09-29  Lluis Sanchez Gual <lluis@novell.com> 

	* templates/Makefile.include: Set MONO_IOMAP=drive when running resgen
	  since resx files may contain Windows style paths. Fixes bug
	  #398812.
	* gtk-gui/objects.xml: Update.

2008-09-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Autotools.mdp: Updated projects.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MakefileIntegrationFeatureWidget.cs, gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.Autotools.MakefileIntegrationFeatureWidget.cs,
	  gtk-gui/MonoDevelop.Autotools.TarballBuilderEditorWidget.cs,
	  gtk-gui/objects.xml,
	  gtk-gui/MonoDevelop.Autotools.MakefileOptionPanelWidget.cs,
	  gtk-gui/MonoDevelop.Autotools.GenerateMakefilesDialog.cs: Updated
	  generated code.

2008-09-04  Lluis Sanchez Gual <lluis@novell.com> 

	* FileNodeBuilderExtension.cs, Commands.cs: Moved the extensible tree
	  view to its own directory.

2008-08-15  Dean Brettle <dean@brettle.com>

	* SimpleProjectMakefileHandler.cs: 
	Fixed bug 417791 by using "resgen1" (for ClrVersion.Net_1_1 )
	and "resgen2" for ClrVersion.Net_2_0, but only when the current
	runtime major version is greater than 1.

2008-07-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Autotools.mdp: Removed some parts of the documentation
	  service.

2008-07-21  Lluis Sanchez Gual <lluis@novell.com> 

	* Handler.cs, MakefileData.cs, MakefileVar.cs,
	  SimpleProjectMakefileHandler.cs, SolutionDeployer.cs: Moved
	  serialization engine to MonoDevelop.Core. Use new syntax for
	  specifying attribute scope.

2008-06-10  Andres G. Aragoneses <aaragoneses@novell.com> 

	* SimpleProjectMakefileHandler.cs: Implement feature to allow unmanaged
	  project references in a managed project (bug#397490).

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* SimpleProjectMakefileHandler.cs: GetOutputFileName now requires a
	  solution configuration, not a project configuration.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Autotools.addin.xml: Bump MD version.

2008-05-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Autotools.addin.xml: Merged the extension points for
	  project and solution option panels into a single extension point. A
	  single extension point will now be used for all kinds of items.
	  Extension conditions can be used to make panels visible only for
	  some specific item types.

2008-05-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MakefileProjectServiceExtension.cs: Replaced
	  ICompilerResult/DefaultCompilerResult/CompilerResults by a new
	  BuildResult class, which has owner information at error level, so
	  it is possible to know which project generated an error when
	  building a solution. Updated Task and TaskService to use the new
	  owner information.

2008-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MakefileGeneratorTool.cs, IMakefileHandler.cs,
	  MonoDevelop.Autotools.addin.xml, ImportMakefileDialog.cs,
	  MakefileOptionPanelWidget.cs, MakefileReaderExtension.cs,
	  MakefileProject.cs, SolutionMakefileHandler.cs,
	  SimpleProjectMakefileHandler.cs, Handler.cs, SolutionDeployer.cs,
	  MakefileProjectServiceExtension.cs, MakefileOptionPanel.cs,
	  FileNodeBuilderExtension.cs, templates/autogen.sh.template,
	  templates/rules.make, GenerateMakefilesDialog.cs,
	  MakefileIntegrationFeature.cs, AutotoolsContext.cs, Commands.cs,
	  gtk-gui/MonoDevelop.Autotools.GenerateMakefilesDialog.cs,
	  gtk-gui/gui.stetic, TarballBuilderEditorWidget.cs, MakefileData.cs,
	  CustomMakefile.cs: New project model changes.

2008-04-11  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/MonoDevelop.Autotools.TarballBuilderEditorWidget.cs: Updated.
	* MakefileData.cs: Added regex for boo messages.

2008-03-27  Ankit Jain  <jankit@novell.com>

	* templates/Makefile.solution.template:
	* templates/make-dist.targets:
	* templates/rules.make: Remove evil bash arrays.
	Fixes from Raja Harinath.

2008-03-26  Ankit Jain  <jankit@novell.com>

	Add support for handling paths containing spaces.
	Fix bug #353979.
	* SimpleMakefileHandler.cs (EscapeSpace): New.
	Escape and quote paths appropriately.
	* SolutionMakefileHandler.cs: Include Makefile.include also.
	* templates/Makefile.noauto.project.template:
	* templates/Makefile.am.project.template: Use emit_resgen_targets macro.
	Use '$(shell dirname ' instead of '$(dir ' as it can't handle paths with
	spaces.
	* templates/Makefile.include:
	* templates/make-dist.targets:
	* templates/Makefile.solution.template:
	* templates/rules.make: Add the necessary changes for the support.

2008-03-04  Mike Krüger <mkrueger@novell.com> 

	* ImportMakefileDialog.cs, MakefileOptionPanelWidget.cs, Commands.cs,
	  gtk-gui/MonoDevelop.Autotools.MakefileOptionPanelWidget.cs,
	  gtk-gui/gui.stetic, MakefileData.cs: Worked on gnome hig compliant
	  alerts.

2008-02-23  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Autotools.mdp, Makefile.am: Removed some unused glade and
	  gnome-sharp references (only the unused). But I'll continue to remove
	  glade, we need to lower the dependency tree a bit.

2008-02-05  Michael Hutchinson <mhutchinson@novell.com>

	* MonoDevelop.Autotools.addin.xml: Track main menu layout changes.

2008-01-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Autotools.addin.xml: Update MD version.

2008-01-24  Ankit Jain  <jankit@novell.com>
	Raja R Harinath  <harinath@gmail.com>

	Fix bugs #333847.
	* SimpleProjectMakefileHandler.cs:
	* SolutionDeployer.cs:
	* templates/Makefile.am.project.template:
	* templates/Makefile.include:
	* templates/Makefile.noauto.project.template:
	Add support for generating satellite assemblies.

2008-01-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Autotools.addin.xml: Updated add-in category and description.

2008-01-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Autotools.addin.xml, MonoDevelop.Autotools.mdp,
	  SimpleProjectMakefileHandler.cs, Handler.cs, SolutionDeployer.cs,
	  templates/expansions.m4, templates/configure.template,
	  templates/configure.ac.template, Makefile.am: Properly implement support
	  for libdir, bindir and datadir in both autotools and simple makefiles.
	  Fixes bug #354128.

2008-01-20  Ankit Jain  <jankit@novell.com>

	* Change Console.WriteLines to LoggingService calls.

2008-01-19  Ankit Jain  <jankit@novell.com>

	* SimpleProjectMakefileHandler.cs: Ensure that custom-hooks.make is
	included after the first target (all:). If the file exists then add it
	to EXTRA_DIST.
	Track change in emit-deploy-wrapper macro.
	* SolutionDeployer.cs: Emit sed script to generate wrapper only for
	simple makefiles.
	* SolutionMakefileHandler.cs: Use AppendToVariable for EXTRA_DIST, to
	allow a project to add to EXTRA_DIST.
	* templates/Makefile.include: sed is not required for autotools based
	makefiles.
	* templates/Makefile.auto.project.template: Add INCLUDE_CUSTOM_HOOKS
	after 'all:' target.

2008-01-16  Ankit Jain  <jankit@novell.com>

	* SolutionDeployer.cs: Sort the list of common and required packages
	emitted in the configure script.

2008-01-15  Michael Hutchinson <mhutchinson@novell.com> 

	* MakefileData.cs: Improve grammar/formatting for translatable strings.
	  Replace console writes with logging.
	* MakefileOptionPanelWidget.cs, SimpleProjectMakefileHandler.cs: Improve
	  formatting of translatable strings.

2007-12-31  Ankit Jain  <jankit@novell.com>

	* SimpleProjectMakefileHandler.cs: Use macros for emitting deploy
	targets. Saves lot of redundant lines.
	Honor dir structure of the source deploy file (eg. f1/f2/foo.txt should
	be deployed to BUILD_DIR/f1/f2/foo.txt). Do this for install/uninstall
	targets also.
	* templates/Makefile.include: Add macros for emitting deploy targets.
	* templates/Makefile.am.project.template: Fix positioning of include
	Makefile.include to fix macros for autotools based makefiles.

2007-12-21  Miguel de Icaza <miguel@novell.com> 

	

2007-12-20  Ankit Jain  <jankit@novell.com>

	* MakefileGeneratorTool.cs: Use GettextCatalog.GetString for
	user-visible strings.

2007-12-18  Ankit Jain  <jankit@novell.com>

	Fix bug #349419
	* SimpleProjectMakefileHandler.cs: Honor DESTDIR.
	* templates/Makefile.solution.template: Make sure exit_codes work
	(escape shell so $$final_exit means something)
	* templates/make-dist.targets: Remove spurious spaces.
	Based on patches by Wade Berrier.

2007-12-17  Ankit Jain  <jankit@novell.com>

	* Minor fixes like use String.Empty instead of "" etc.

2007-12-14  Ankit Jain  <jankit@novell.com>

	* MakefileData.cs: Re-init Build vars when the owner project gets set.

2007-12-14  Ankit Jain  <jankit@novell.com>

	* SolutionDeployer.cs: Remove dead code.

2007-12-14  Ankit Jain  <jankit@novell.com>

	Fix bug #347649
	* AutotoolsContext.cs (AddRequiredPackages): Allow packages to be
	specified per config.
	(GetRequiredPackages): Per config.
	(GetCommonRequiredPackages): Packages common to all configs.
	* Set.cs (Intersect): New.
	(Count): New.
	(ToString): Override.
	* SimpleProjectMakefileHandler.cs: Keep track of packages per config.
	* SolutionDeployer.cs: Emit package requirements per config in
	configure.ac and the configure script.
	* templates/configure.ac.template: Update.
	* templates/configure.template: Update to check per config packages.

2007-12-14  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Autotools.mdp: Updated project files. The order of extended
	  properties won't change anymore.

2007-12-13  Lluis Sanchez Gual <lluis@novell.com> 

	* templates/configure.template: Applied some fixes from the MD config
	  script.
	* gtk-gui/MonoDevelop.Autotools.TarballBuilderEditorWidget.cs: Updated.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Autotools.addin.xml: Bump add-in versions.

2007-12-11  Ankit Jain  <jankit@novell.com>

	* MakefileData.cs: Use LoggingService.

2007-12-07  Ankit Jain  <jankit@novell.com>

	Fix bug #344837.
	* MakefileOptionPanelWidget.cs: Improve error message.

2007-12-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Autotools.mdp, gtk-gui/gui.stetic, Makefile.am: Directory
	  reorganization.

2007-12-01  Lluis Sanchez Gual <lluis@novell.com> 

	* SimpleProjectMakefileHandler.cs: Fix warnings.

2007-11-09  Michael Hutchinson <mhutchinson@novell.com> 

	* TemplateEngine.cs, MakefileData.cs: Track LoggingService API changes.

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Autotools.addin.xml: Bump MD version.

2007-10-26  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.Autotools.MakefileIntegrationFeatureWidget.cs,
	  gtk-gui/MonoDevelop.Autotools.TarballBuilderEditorWidget.cs,
	  gtk-gui/MonoDevelop.Autotools.MakefileOptionPanelWidget.cs,
	  gtk-gui/MonoDevelop.Autotools.GenerateMakefilesDialog.cs,
	  gtk-gui/gui.stetic, TarballBuilderEditorWidget.cs: Cosmetic fixes in the
	  tarball options dialog. Use a radio button instead of a checkbox to
	  choose between simple and autotools based makefile.

2007-10-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MakefileIntegrationFeature.cs: Track api changes. Add description
	  property.

2007-10-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Autotools.mdp: Project file names updated by change in MD path
	  functions.

2007-10-16  Ankit Jain  <jankit@novell.com>

	* SimpleProjectMakefileHandler.cs (Deploy): Add support for emitting
	custom commands for simple makefiles.
	(EmitCustomCommandTargets): New.
	* templates/Makefile.noauto.project.template: Insert calls to *Build targets.
	* templates/rules.make: Insert calls to *Clean targets and add empty default
	targets for the custom commands.

2007-10-12  Mike Krüger <mkrueger@novell.com> 

	* SolutionMakefileHandler.cs, SimpleProjectMakefileHandler.cs, Handler.cs,
	  SolutionDeployer.cs, AutotoolsContext.cs, MakefileData.cs: Applied
	  changes that were neccassary for to the new FileService.

2007-09-28  Ankit Jain  <jankit@novell.com>

	Fix bug #325674.
	* MakefileOptionPanelWidget.cs: Use FocusChildSet event instead of
	FocusoutEvent for the makefile entry widget.

2007-09-28  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MakefileData.cs (InitCompilerMessageRegex): Cosmetic fix.

2007-09-28  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MakefileData.cs: Update standard gcc regex to also match column info.

2007-09-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Autotools.addin.xml: Bump MD version.

2007-09-04  Michael Hutchinson <MHutchinson@novell.com> 

	* MakefileOptionPanelWidget.cs, MakefileOptionPanel.cs: Fix some compile
	  warnings.

2007-08-31  Mike Krüger <mkrueger@novell.com> 

	* MakefileOptionPanelWidget.cs, MakefileOptionPanel.cs: Changes due to new
	  property infrastructure.

2007-08-23  Marcos David Marín Amador <MarcosMarin@gmail.com>

	* Handler.cs: Added support for Include and IncludeRoot targets.

2007-08-22  Ankit Jain  <jankit@novell.com>

	* templates/*: Add invocation for various hooks.
	* SimpleProjectMakefileHandler.cs: Include custom-hooks.make .
	* SolutionMakefileHandler.cs: Include custom-hooks.make . Emit
	invocation for hooks.

2007-08-22  Ankit Jain  <jankit@novell.com>

	* templates/Makefile.solution.template: Replace all *-recursive targets
	with a single %-recursive target.
	* templates/*: minor updates.
	* SimpleProjectMakefileHandler.cs: Update.

2007-08-22  Ankit Jain  <jankit@novell.com>

	* templates/*: Improve generated makefiles to support '-k'.

2007-08-21  Ankit Jain  <jankit@novell.com>

	* ConfigSection.cs: New.
	* SimpleProjectMakefileHandler.cs: Refactor to support correctly
	building multiple configurations. Referenced assembly names/paths can depend
	on the config (Eg. for project references).
	* TemplateEngine.cs: Update to use typed Dictionary instead of
	hashtable.
	* templates/Makefile.am.project.template: 
	* templates/Makefile.noauto.project.template: $(ASSEMBLY).mdb might not
	be available in all configs.
	* templates/Makefile.solution.template: Exit if build/install for a
	subdir fails.
	* templates/make-dist.targets: Subdir could be multilevel, so use
	absolute paths for 'dist'.
	* templates/rules.make: Likewise.

	* SolutionDeployer.cs (GenerateFiles): Emit exception stack trace also.

2007-08-21  Ankit Jain  <jankit@novell.com>

	* MakefileGeneratorTool.cs: Add short option "-s" for
	--simple-makefiles.

2007-08-14  Ankit Jain  <jankit@novell.com>

	Add uninstall target.
	* SimpleProjectMakefileHandler.cs: Emit uninstall rules.
	* SolutionMakefileHandler.cs: Emit uninstall target.
	* templates/Makefile.noauto.project.template:
	* templates/Makefile.solution.template: Add uninstall target.

2007-08-10  Ankit Jain  <jankit@novell.com>

	* templates/*: Update to support generating partial classes with xamlg.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Autotools.mdp, Makefile.am: Don't exclude the addin.xml file
	  from the makefile.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* IMakefileHandler.cs, MonoDevelop.Autotools.addin.xml,
	  MonoDevelop.Autotools.mdp, SolutionMakefileHandler.cs,
	  SimpleProjectMakefileHandler.cs, SolutionDeployer.cs,
	  AutotoolsContext.cs, Makefile.am: Added an extension point for
	  registering new IMakefileHandlers.
	* TemplateEngine.cs: Removed log4net dependency.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am: Add missing resoruce.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Autotools.addin.xml, MonoDevelop.Autotools.mdp,
	  SimpleProjectMakefileHandler.cs,
	  gtk-gui/MonoDevelop.Autotools.TarballBuilderEditorWidget.cs,
	  gtk-gui/gui.stetic, Makefile.am: Reorganized the extension point
	  hierarchy. Embedded all add-in manifests as resources.

2007-08-03  Ankit Jain  <jankit@novell.com>

	Fix bug#82254.
	* Commands.cs (NodeExtension.CanBuildNode): Allow for CombineEntry also.
	(AutotoolsCommandHandler.OnGenerate): Handle command for projects.
	* MonoDevelop.Autotools.addin.xml: Add GenerateFiles to project's context
	menu.

2007-08-02  Lluis Sanchez Gual <lluis@novell.com> 

	* MakefileReaderExtension.cs, Makefile.am: Converted DispatchService to a
	  static class.

2007-08-02  Ankit Jain  <jankit@novell.com>

	* templates/make-dist.targets: Forgot to commit this!

2007-08-02  Ankit Jain  <jankit@novell.com>

	* AutotoolsContext.cs (TargetCombine): New. Combine on which 'Generate
	makefiles' command was invoked.
	* SolutionDeployer.cs: Set TargetCombine.
	* SimpleProjectMakefileHandler.cs: Update to use TargetCombine instead
	of RootCombine.

	Fixes to handle nested solutions.
	* SolutionMakefileHandler.cs (Deploy):
	* templates/Makefile.solution.template:
	* templates/rules.make:
	* templates/make-dist.targets: New.

2007-07-30  Lluis Sanchez Gual <lluis@novell.com> 

	* SolutionOptionsPanel.cs: Removed unused file.

2007-07-31  Ankit Jain  <jankit@novell.com>

       * MakefileGeneratorTool.cs:
       * MonoDevelop.Autotools.addin.xml: New. Tool for generating makefiles.
       * Makefile.am: Update.
       * MonoDevelop.Autotools.mdp: Update.

2007-07-30  Ankit Jain  <jankit@novell.com>

	* MakefileData.cs (ConfiguredPackagesManager.ReadPackagesList): Handle
	[] used for quoting m4 strings.

2007-07-30  Ankit Jain  <jankit@novell.com>

	* SimpleProjectMakefileHandler.cs (Deploy): Make prefix for REFERENCES
	variable consistent with other ref variables.
	Fix emitted path for DLL_REFERENCES to be compatible with makefile integration.
	* SolutionDeployer.cs (CreateConfigureDotAC): Use @defaultConf.	
	* templates/Makefile.include: Update to add prefix for REFERENCES (when required).
	* templates/configure.template: Small fix.

2007-07-25  Ankit Jain  <jankit@novell.com>

	* templates/configure.template: Don't use "\n" or "\t" in echo-s, sh doesn't
	seem to be able to handle them.

2007-07-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Autotools.addin.xml, MonoDevelop.Autotools.mdp,
	  gtk-gui/MonoDevelop.Autotools.GenerateMakefilesDialog.cs,
	  gtk-gui/gui.stetic: Cosmetic fixes.

2007-07-25  Ankit Jain  <jankit@novell.com>

	* SimpleProjectMakefileHandler.cs (Deploy): 'chmod +x' exe-wrappers.
	Ensure that .in files are regen'ed on configure.

2007-07-25  Ankit Jain  <jankit@novell.com>

	* GenerateMakefilesDialog.cs:
	* gtk-gui/MonoDevelop.Autotools.GenerateMakefilesDialog.cs:
	* gtk-gui/gui.stetic:
	Use radio buttons instead of a checkbox.
	* templates/configure.template: Improve message.

2007-07-24  Ankit Jain  <jankit@novell.com>

	* templates/Makefile.noauto.project.template:
	* templates/Makefile.solution.template:
	* templates/configure.template:
	* templates/rules.make:
	Missed these too :(

2007-07-24  Ankit Jain  <jankit@novell.com>

	* GenerateMakefilesDialog.cs:
	* gtk-gui/MonoDevelop.Autotools.GenerateMakefilesDialog.cs:
	Oops, forgot to commit!

2007-07-24  Ankit Jain  <jankit@novell.com>

	Add support for generating non-autotools (simple) makefiles.

	* SolutionDeployer.cs: Update to use new templates for simple
	makefiles and generate those.
	* SolutionMakefileHandler.cs: Likewise.
	* SimpleProjectMakefileHandler.cs: Likewise.

	* AutotoolsContext.cs (TemplateDir): New.
	(GetConfigurations): New.
	(AddGeneratedFile): New.
	(GetGeneratedFiles): New.
	* Commands.cs: Ask user whether to generate simple makefiles with
	GenerateMakefilesDialog.
	* Handler.cs (GenerateAutotools): New.

	* GenerateMakefilesDialog.cs: New.
	* gtk-gui/MonoDevelop.Autotools.GenerateMakefilesDialog.cs: New.
	* TarballBuilderEditorWidget.cs: Add a checkbox for 'Autotools files'.
	* gtk-gui/MonoDevelop.Autotools.TarballBuilderEditorWidget.cs: New.
	* gtk-gui/Gui.stetic: Updated.

	* templates/Makefile.am.project.template: Update.
	* templates/Makefile.noauto.project.template: New. Makefile template for
	projects.
	* templates/Makefile.solution.template: New. Simple makefile for top
	level solution.
	* templates/configure.template: New. Configure script.
	* templates/rules.make: New.

	* Makefile.am: Update to include the new files.
	* MonoDevelop.Autotools.mdp: Likewise.
	* MonoDevelop.Autotools.addin.xml: Update menu item from 'Generate
	autotools files' to 'Generate makefiles'.

2007-07-17  Ankit Jain  <jankit@novell.com>

	* MakefileData.cs (PackagedAssemblyNames): Rename to ..
	(CorePackageAssemblyNames): .. this. This has entries for assemblies
	from the 'core' package only.
	* MakefileOptionPanelWidget.cs (CheckRefs): Track changes in api.

2007-07-12  Lluis Sanchez Gual <lluis@novell.com> 

	* SolutionMakefileHandler.cs, AutotoolsContext.cs: Keep track of the
	  project build sequence in AutotoolsContext. In CalculateSubDirOrder
	  ignore references to projects built earlier in the build sequence.
	  Fixes bug #80588. Also, track changes in the Set class.
	* SimpleProjectMakefileHandler.cs, Set.cs: Set is now a generic class.

2007-07-11  Ankit Jain  <jankit@novell.com>

	* MakefileOptionPanelWidget.cs (FindConfigureScript): New.
	(GuessVariables): Try to look for configure.(in|ac) script.
	(ResetAll): Reset the configure script related widgets also.

2007-07-06  Lluis Sanchez Gual <lluis@novell.com> 

	* MakefileOptionPanelWidget.cs, MakefileData.cs: Load configure.ac in
	  place of configure.in if it exist.
	* gtk-gui/objects.xml: Updated.

2007-06-18  Ankit Jain  <jankit@novell.com>

	* MakefileOptionPanelWidget.cs: On loading a new makefile, try to guess
	possible variables and prefixes for various lists like files, references etc.
	If guess'ing fails, then try some usual variable names.
	When a variable is selected in the combo by the user, try to guess the
	prefix.

2007-06-18  Ankit Jain  <jankit@novell.com>

	* MakefileData.cs (PackagedAssemblyNames): New. Table for mapping short
	assembly names (like System.Xml) to their full names.
	(ParseReferenceAsGac): Use the new PackagedAssemblyNames table. This will
	help avoid doing Assembly.Load to find full names for names
	like System.Xml . Speeds up loading for large projects.

2007-06-14  Ankit Jain  <jankit@novell.com>

	* MakefileData.cs (PkgManagerTable): New. A global table to keep weak
	references to ConfiguredPackagesManager objects.
	(UpdateProject): Use the new PkgManagerTable.
	(ConfiguredPackagesManager.LastWriteTime): New.

2007-06-07  Ankit Jain  <jankit@novell.com>

	* AutotoolsContext.cs (NormalizeRelativePath): Moved to Runtime.FileService .
	Track api change.
	* SimpleProjectMakefileHandler.cs: Track api change.
	* SolutionDeployer.cs: Track api change.

2007-05-31  Ankit Jain  <jankit@novell.com>

	* SimpleProjectMakefileHandler.cs: Comment out all .pc file generation
	related code. It is handled by the deployment infrastructure.
	* SolutionDeployer.cs (GenerateFiles): Remove code related to .pc file
	generation.

	SolutionOptionsPanel.cs is not used now.
	* Makefile.am: Remove SolutionOptionsPanel.cs from the list of files.
	* MonoDevelop.Autotools.mdp: Likewise
	* MonoDevelop.Autotools.addin.xml: Remove extensions related to
	SolutionOptionsPanel.

2007-05-29  Ankit Jain  <jankit@novell.com>

	* SimpleProjectMakefileHandler.cs (Deploy): GetDeployFiles can return
	duplicates, ignore them. Update code for change in GetProjectConfig.
	(GetProjectConfig): Look for project's config in ParentCombine's
	configs.

2007-05-29  Ankit Jain  <jankit@novell.com>

	* SimpleProjectMakefileHandler.cs (Deploy): Enumerate solution level
	configs, and use the corresponding project config for emitting Makefile.am
	(GetProjectConfig): New.
	* AutotoolsContext.cs (EscapeStringForAutoconf): Escape '|' .

2007-05-28  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Autotools.mdp,
	  gtk-gui/MonoDevelop.Autotools.TarballBuilderEditorWidget.cs,
	  gtk-gui/MonoDevelop.Autotools.MakefileOptionPanelWidget.cs,
	  gtk-gui/gui.stetic: Updated.
	* Handler.cs: Report an error when the project can't be exported. This
	  fixes bug #81755.
	* TarballBuilderEditorWidget.cs: Make it work when the selected root
	  entry is not a combine.

2007-05-24  Ankit Jain  <jankit@novell.com>

	* SolutionMakefileHandler.cs (Deploy): Emit an empty initializer for
	EXTRA_DIST in makefiles for projects which have their own directory.
	Include project specific makefile only if required.
	* SimpleProjectMakefileHandler.cs (Deploy): Don't emit a project
	specific *.make file.

	* templates/Makefile.include (EXTRA_DIST): Use = instead of +=.
	* templates/Project.make.template: Remove the file and move contents .. 
	* templates/Makefile.am.project.template: .. here.
	* Makefile.am: Update.
	* MonoDevelop.Autotools.mdp: Update.

2007-05-24  Ankit Jain  <jankit@novell.com>
	    Raja R Harinath  <rharinath@novell.com>
	
	* SolutionMakefileHandler.cs (Deploy): If a project is in the same
	directory as the solution, then directly "include" the project specific
	makefile in the solution's Makefile.am .
	* SimpleProjectMakefileHandler.cs (Deploy): Treat all assembly
	references as globalReferencedFiles. Emit path relative to $(BUILD_DIR).
	Emit deploy-files path relative to project's directory.
	Emit project specific makefiles.
	* SolutionDeployer.cs: Normalize paths emitted.

	* AutotoolsContext.cs (AddGlobalReferencedFile): New.
	* Makefile.cs (Write): Write variables before the "content".
	* Makefile.am: Add new Project.make.template .
	* MonoDevelop.Autotools.mdp: Update.

	* templates/Makefile.include (EXTRA_DIST): Use += .
	(DISTCLEANFILES): Add $(BUILD_DIR)/* . 
	* templates/Makefile.am.project.template: Add placeholder for including
	project specific makefile. Move older contents to ..
	* templates/Project.make.template: .. here.

2007-05-22  Ankit Jain  <jankit@novell.com>
	    Raja R Harinath  <rharinath@novell.com>

	* SimpleProjectMakefileHandler.cs (Deploy): Emit resgen script name.
	Emit resourceId if required.
	* templates/Makefile.include, templates/Makefile.am: Several improvements.
	Added support for compiling resx resources with custom resource ids.

2007-05-19  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Autotools.addin.xml: Removed empty extension element.
	* PropertyProvider.cs: Added a more complete description of the
	  IncludeInMakefile property.

2007-05-16  Ankit Jain  <jankit@novell.com>

	* AutotoolsContext.cs (EscapeAndUpperConfigName): New.
	(EscapeStringForAutoconf): Escape ' ' also.
	* SolutionMakefileHandler.cs: Use EscapeAndUpperConfigName when emitting
	config name.
	* SimpleProjectMakefileHandler.cs: Likewise.
	* SolutionDeployer.cs: Likewise.

2007-05-11  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Autotools.mdp: Don't copy project references.
	* Makefile.am: Updated.

2007-05-10  Michael Hutchinson <m.j.hutchinson@gmail.com> 

	* MonoDevelop.Autotools.mdp: Add MonoDevelop.Autotools.addin.xml
	  back to the file list, but exclude from makefile synching.

2007-05-09  Michael Hutchinson <m.j.hutchinson@gmail.com> 

	* MonoDevelop.Autotools/Makefile.am: Eliminate duplication of 
	MonoDevelop.Autotools.addin.xml target.
	Fix dependencies for DATA_FILE_BUILD.

2007-05-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Autotools.addin.xml: Added missing dependency.
	* MonoDevelop.Autotools.mdp, Makefile.am: Updated assembly references.
	* MakefileData.cs: Use top_srcdir to reference files not generated at
	  build time.

2007-05-04  Lluis Sanchez Gual <lluis@novell.com> 

	* Mono.Addins.mdp: Updated.
	* Mono.Addins/ExtensionContext.cs: Fixed GetExtensionObjects overload
	  which was not using the correct reuseCachedInstance value.
	* Mono.Addins/ExtensionTree.cs: Improved error message. When looking
	  for a type in an assembly, avoid throwing an exception too early,
	  since it may be found in other assemblies.
	* Mono.Addins.Database/AddinDatabase.cs: In the addin info cache, also
	  store information about unsuccessful lookups, to avoid looking for
	  an add-in again if we found that it doesn't exist. In Update(),
	  don't use verbose output by default.

2007-05-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Autotools.addin.xml, MonoDevelop.Autotools.mdp,
	  SimpleProjectMakefileHandler.cs, gtk-gui/objects.xml, Makefile.am:
	  Migration to Mono.Addins.

2007-04-28  Michael Hutchinson <m.j.hutchinson@gmail.com> 

	* MakefileData.cs: Use InvariantCulture for string sorting to stop 
	  reordering of file lists on different systems.

2007-04-27  Lluis Sanchez Gual <lluis@novell.com> 

	* SolutionMakefileHandler.cs: Make sure that makefiles are generated in
	  the same order in which they will be built, since there is some
	  data collected by the context that it is important to get in the
	  correct order (e.g. list of built files).
	* Set.cs: Avoid unneeded boxing.

2007-04-27  Lluis Sanchez Gual <lluis@novell.com> 

	* SimpleProjectMakefileHandler.cs, SolutionDeployer.cs,
	  templates/Makefile.include, templates/Makefile.am.project.template,
	  AutotoolsContext.cs: Fixed several problems in the autotools file
	  generation. Files to be deployed are now copied to the build
	  directory (doing the change name if necessary), and they are
	  installed from there. Fixes bug #81470.

2007-04-26  Lluis Sanchez Gual <lluis@novell.com> 

	* Handler.cs, SolutionDeployer.cs: Fixed CanBuild method. Any combine
	  entry for which there is a IMakefileHandler can be deployed.

2007-04-26  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Autotools.addin.xml, MonoDevelop.Autotools.mdp,
	  MakefileIntegrationFeatureWidget.cs, Handler.cs,
	  MakefileIntegrationFeature.cs,
	  gtk-gui/MonoDevelop.Autotools.MakefileIntegrationFeatureWidget.cs,
	  gtk-gui/objects.xml, gtk-gui/gui.stetic, Makefile.am: Added classes
	  for supporting a makefile integration project feature, but it is
	  not yet enabled.

2007-04-24  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Autotools.mdp, Makefile.am: Synchronized project with
	  makefile.
	* Handler.cs, SolutionDeployer.cs: Allow creating a tarball from
	  autotools files already generated, instead of always generating new
	  files.
	* MakefileProjectServiceExtension.cs: Include referenced makefiles when
	  exporting a project.
	* TarballBuilderEditorWidget.cs, TarballTargetEditorWidget.cs,
	  gtk-gui/MonoDevelop.Autotools.TarballBuilderEditorWidget.cs,
	  gtk-gui/gui.stetic: Implemented the tarball configuration editor
	  using stetic.
	* gtk-gui/objects.xml: Updated.
	* MakefileData.cs: Fixed warning.

2007-04-21  Lluis Sanchez Gual <lluis@novell.com> 

	* SimpleProjectMakefileHandler.cs, TarballTargetEditorWidget.cs: Track
	  api changes.
	* Handler.cs: Track api changes. Added support for exporting a
	  selection of projects from a solution.

2007-04-19  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Autotools.addin.xml, Commands.cs,
	  TarballTargetEditorWidget.cs: Track api changes in deployment api.
	* MonoDevelop.Autotools.mdp, gtk-gui/gui.stetic, Makefile.am: Added
	  dependency to MonoDevelop.Deployment.
	* SolutionMakefileHandler.cs: Allow generating makefiles a combine even
	  if it contains unsupported projects. Those will be ignored.
	* SimpleProjectMakefileHandler.cs, Handler.cs, SolutionDeployer.cs,
	  templates/Makefile.include: Use the new deployment api to get the
	  list of files to deploy.
	* FileNodeBuilderExtension.cs, MakefileData.cs: Moved makefile
	  integration check to MakefileData.
	* AutotoolsContext.cs: Keep a list of directories to deploy. Store the
	  DeployContext in a field.
	* PropertyProvider.cs: New property provider which allows setting the
	  makefile integration flag for each file.
	* gtk-gui/objects.xml: Updated.

2007-03-29  Lluis Sanchez Gual <lluis@novell.com> 

	* Handler.cs: Remove unused namespace.

2007-03-29  Lluis Sanchez Gual <lluis@novell.com> 

	* Handler.cs, MonoDevelop.Autotools.addin.xml: Track API changes.
	* MonoDevelop.Autotools.mdp: Don't local-copy references.

2007-03-29  Ankit Jain  <jankit@novell.com>

	* MakefileOptionPanelWidget.cs: Ensure reference combos are disabled for
	non-dotnet projects even when enabling for the first time.

2007-03-28  Ankit Jain  <jankit@novell.com>

	* MakefileOptionPanelWidget.cs: Disable References combos etc for
	non-dotnet projects.

2007-03-28  Ankit Jain  <jankit@novell.com>

	* MakefileOptionPanelWidget.cs (FillCombos): Sort list of variables.

2007-03-28  Ankit Jain  <jankit@novell.com>

	* CustomMakefile.cs (InitVarToValuesDict): Skip blank entries.
	* MakefileData.cs: Replace StartsWith with direct comparisons for small
	strings. For references, ignore empty entries.
	(ParseReference):
	(GacRefToString): Catch specific exceptions for AssemblyName.GetAssemblyName

2007-03-21  Ankit Jain  <jankit@novell.com>

	* MakefileData.cs (PkgCheckModulesRegex): Fix regex to correctly handle
	strings like 'PKG_CHECK_MODULES(FOO,foo0 >= 2.4 foo1 foo2)', this should
	give 3 packages : foo0, foo1 and foo2.

2007-03-04  David Makovský (Yakeen) <yakeen@sannyas-on.net>

	* MonoDevelop.Autotools/Handler.cs: make strings translatable.

2007-03-04  David Makovský (Yakeen) <yakeen@sannyas-on.net>

	* gtk-gui/MonoDevelop.Autotools.MakefileOptionPanelWidget.cs,
	* gtk-gui/gui.stetic: make all strings in option panel translatable.

2007-02-28  Ankit Jain <jankit@novell.com> 

	* MakefileData.cs (WriteFiles): Ignore directory entries.

2007-02-22  Ankit Jain  <jankit@novell.com>

	* MakefileOptionPanelWidget.cs: Disable the AssemblyName and OutputDir
	combos, as they are not being used right now.
	* gtk-gui/*: Update.

2007-02-21  Ankit Jain  <jankit@novell.com>

	* CustomMakefile.cs: Avoid adding extra spaces for empty variables.

2007-02-20  Ankit Jain  <jankit@novell.com>

	* MakefileData.cs: Support escaping filenames. Escaping only '\' and '#'
	currently.

2007-02-20  Ankit Jain  <jankit@novell.com>

	* MakefileOptionPanelWidget.cs: Ensure that entry boxes for make targets
	are activated only if required when loading the gui. These should be
	activated only if a valid makefile is specified.

2007-02-16  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Autotools.addin.xml: Change add-in versions to 0.13.

2007-02-15  Lluis Sanchez Gual <lluis@novell.com> 

	* MakefileProjectServiceExtension.cs: Don't run make if the build
	  target is not specified.
	* MonoDevelop.Autotools.addin.xml, FileNodeBuilderExtension.cs,
	  Commands.cs, MakefileData.cs: Allow excluding a file from the
	  makefile integration. Added menu option for enabling/disabling the
	  exclusion.
	* MakefileOptionPanelWidget.cs,
	  gtk-gui/MonoDevelop.Autotools.MakefileOptionPanelWidget.cs,
	  gtk-gui/gui.stetic: Added checkboxes for enabling/disabling
	  makefile targets.
	* MonoDevelop.Autotools.mdp, Makefile.am: Added new file.

2007-02-13  Ankit Jain  <jankit@novell.com>

	* MakefileData.cs: Add support for custom regexes for compiler messages.
	* MakefileOptionPanelWidget.cs: Add widgets for custom regex.
	* MakefileProjectServiceExtension.cs: Use the new custom regexes
	MakefileData.

2007-02-09  Lluis Sanchez Gual <lluis@novell.com> 

	* SimpleProjectMakefileHandler.cs: Fix spelling.

2007-02-09  Ankit Jain <jankit@novell.com> 

	* MakefileData.cs: Avoid unnecessary add/remove for references.

2007-02-09  Lluis Sanchez Gual <lluis@novell.com> 

	* CustomMakefile.cs: Avoid adding or removing blank lines around
	  variables.

2007-02-09  Ankit Jain <jankit@novell.com> 

	* MakefileOptionPanelWidget.cs: Add a null check.
	* MakefileData.cs: Refactor encodeValues into a property. Initiliaze it
	  outside UpdateProject.

2007-02-09  Ankit Jain <jankit@novell.com> 

	* MakefileData.cs: Keep the list of references sorted in the makefile.
	* CustomMakefile.cs: Write to the makefile only if something changed.

2007-02-08  Lluis Sanchez Gual <lluis@novell.com> 

	* MakefileProjectServiceExtension.cs: After reading a project, reset
	  the needs building flag (to ignore changes done while loading)
	* Makefile.am: distckeck fixes.

2007-02-08  Ankit Jain <jankit@novell.com> 

	* MakefileData.cs: OutputFileName can be null for generic projects.

2007-02-08  Ankit Jain <jankit@novell.com> 

	* CustomMakefile.cs: Make Regex for makefile variables static.

2007-02-08  Ankit Jain  <jankit@novell.com>

	* MakefileProjectServiceExtension.cs (Load): Resolve project references
	once the top-level combine has loaded.
	* MakefileData.cs: Cache gac refererences to prevent repeats. Remove
	repeats from the project file, if any. Save the makefile after resolving
	project references.
	Add only valid assemblies as Gac refs, others could be project references.
	Prevent repeats for assembly/project references.

2007-02-08  Ankit Jain  <jankit@novell.com>

	* MakefileOptionPanelWidget.cs (.ctor): Don't set .Sensitive for
	fileEntryMakefilePath.

2007-02-07  Lluis Sanchez Gual <lluis@novell.com> 

	* MakefileProjectServiceExtension.cs: Reset the needs building flag
	  after successfully building a project.
	* MakefileData.cs: Cosmetic fixes. Remove "./" from relative names, and
	  keep file lists sorted.

2007-02-07  Ankit Jain  <jankit@novell.com>

	* MakefileOptionPanelWidget.cs (Store): Save 'disabled' state.

2007-02-07  Lluis Sanchez Gual <lluis@novell.com> 

	* MakefileProjectServiceExtension.cs: Track api changes. In
	  GetNeedsBuilding, return what the default implementation provides.
	* MonoDevelop.Autotools.addin.xml: Unregistered the makefile reader.
	* MonoDevelop.Autotools.mdp: Minor update.

2007-02-07  Ankit Jain  <jankit@novell.com>

	* CustomMakefile.cs: Fix regex to allow empty variables.

2007-02-07  Ankit Jain  <jankit@novell.com>

	* MakefileData.cs (encodeValues): New. Dictionary to keep track of which
	variables to encode when emitting.
	(UpdateProject): Initialize encodeValues.
	(ReadFilesActual): Keep track of whether encoding is required or not.
	(ParseReference): Likewise. Alter signature to take a MakefileVar param.
	(ResolveBuildVars): Add a ref param 'varFound'
	(WriteFiles): EncodeFilename only if required.
	(AsmRefToString): Likewise.

2007-02-07  Lluis Sanchez Gual <lluis@novell.com> 

	* MakefileData.cs: Write the resource id to the makefile only when
	  really necessary.

2007-02-07  Ankit Jain  <jankit@novell.com>

	* MakefileProjectServiceExtension.cs (ParseOutput): Add a 'baseDir'
	param.
	(CreateCompilerErrorFromString): Use baseDir to convert relative paths
	to absolute.

2007-02-06  Ankit Jain  <jankit@novell.com>

	* MakefileProjectServiceExtension.cs (Execute): New.
	* MakefileOptionPanelWidget.cs: Add ExecuteTargetName and update.
	Trim () strings from entry boxes.
	* gtk-gui/*: Update.
	* MakefileData.cs (.ctor): Set default value for buildTargetName to "all".

2007-02-06  Ankit Jain  <jankit@novell.com>

	* MakefileOptionPanel.cs (CheckNonEmptyFileVar): Remove. Has been moved
	to MakefileOptionPanelWidget.cs 
	* MakefileData.cs: Emit resourceId while writing only if atleast one of
	the resources had it when reading.
	* CustomMakefile.cs (Save): Remove dead code. Use StreamWriter.Write
	instead of StreamWriter.WriteLine

2007-02-06  Ankit Jain  <jankit@novell.com>

	* MakefileOptionPanelWidget.cs: Combo boxes for file variables should
	react to change in 'Sync' checkbox.
	* gtk-gui/*: Updated.

2007-02-05  Lluis Sanchez Gual <lluis@novell.com> 

	* MakefileOptionPanel.cs, MakefileOptionPanelWidget.cs: Moved all
	  validation code from MakefileOptionPanel to
	  MakefileOptionPanelWidget, so it can be reused by the import
	  dialog.
	* ImportMakefileDialog.cs: New dialog for importing makefiles.
	* MonoDevelop.Autotools.addin.xml: Registered new extension.
	* MonoDevelop.Autotools.mdp, Makefile.am: Added new files.
	* MakefileReaderExtension.cs: Extension for importing makefiles into
	  projects.
	* gtk-gui/MonoDevelop.Autotools.MakefileOptionPanelWidget.cs,
	  gtk-gui/gui.stetic: Updated.
	* MakefileProject.cs: New project class.

2007-02-05  Ankit Jain  <jankit@novell.com>

	* MakefileProjectServiceExtension.cs: New.
	* MakefileData.cs: New.
	* MakefileVar.cs: New.
	* CustomMakefile.cs: New.
	* MakefileOptionPanel.cs: New.
	* MakefileOptionPanelWidget.cs: New.
	* gtk-gui/*: New.
	Initial implementation of support for limited Makefile Integration.

	* Makefile.am: Update.
	* MonoDevelop.Autotools.addin.xml: Update.
	* MonoDevelop.Autotools.mdp: Update.

2007-01-22  Lluis Sanchez Gual <lluis@novell.com> 

	* Handler.cs: Track api changes.

2006-12-17  Lluis Sanchez Gual <lluis@novell.com> 

	* SimpleProjectMakefileHandler.cs, SolutionDeployer.cs: Use the
	  FileService for copying and deleting files.

2006-11-24  Scott Ellington  <scott.ellington@gmail.com> 

	* SolutionDeployer.cs: 
	* AutotoolsContext.cs:
	escape for periods for autoconf variables besides the version
	(fixes #79857)
	* templates/configure.ac.template: add a line to end of file to
	avoid bug http://www.mail-archive.com/bug-m4@gnu.org/msg01841.html

2006-09-28  Matej Urbas <matej.urbas@gmail.com>

	* SolutionDeployer.cs: fixed the case of autotooling empty projects
	  i.e. projects with no active configuration.
	* MonoDevelop.Autotools.mdp: Added...

2006-08-31 Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* SimpleProjectMakefileHandler.cs: Win32 pathing vs autotools fixes.
	* SolutionDeployer.cs: Win32 pathing vs autotools fixes, syscall workaround.
	* SolutionMakefileHandler.cs: Win32 pathing fixes.

2006-08-19  Scott Ellington  <scott.ellington@gmail.com> 

	* SimpleProjectMakefileHandler.cs: 
	* SolutionMakefileHandler.cs:
	don't handle configurations which are not in the top-level deployed
	solution
	* SolutionDeployer.cs: provide combine configurations to AutotoolsContext.
	always provide _LIB autoconf variables
	* AutotoolsContext.cs: store supported configurations
	* templates/exe.wrapper.in.template: cd into installed directory

2006-08-14  Scott Ellington  <scott.ellington@gmail.com> 

	* SolutionDeployer.cs: 
	* SimpleProjectMakefileHandler.cs: 
	* MonoDevelop.Autotools.addin.xml:
	* templates/Makefile.include:
	* SolutionOptionsPanel.cs:
	add support for creating pc files per library

2006-08-04 Lluis Sanchez Gual  <lluis@novell.com> 

	* SimpleProjectMakefileHandler.cs:
	* templates/Makefile.include:
	* templates/Makefile.am.project.template: Add support for project files
	  with the FileCopy build action.

2006-07-17 Lluis Sanchez Gual  <lluis@novell.com> 

	* SimpleProjectMakefileHandler.cs: Track changes in the SystemAssemblyService
	  class.

2006-07-12  Scott Ellington  <scott.ellington@gmail.com> 

	* SolutionDeployer.cs: 
	* templates/package.pc.template: 
	add Libraries variable

2006-07-03 Lluis Sanchez Gual  <lluis@novell.com> 

	* Handler.cs: Track changes in the deployment api.
	* MonoDevelop.Autotools.addin.xml: Updated versions.

2006-06-28  Scott Ellington  <scott.ellington@gmail.com> 

	* Makefile.cs: can append values to variables
	* SolutionDeployer.cs: implement pkgconfig stuff
	* MonoDevelop.Autotools.addin.xml: add option panel and store pref
	* templates/package.pc.template: template for pc file
	* Makefile.am: add new files
	* SolutionOptionsPanel.cs: new option panel

2006-06-28  Lluis Sanchez Gual  <lluis@novell.com>

	* TarballTargetEditorWidget.cs: Added null check. Fix the build for
	  gtk# 2.4.

2006-06-20  Scott Ellington  <scott.ellington@gmail.com> 

	* AutotoolsContext.cs:
	* templates/Makefile.am.project.template:
	* SimpleProjectMakefileHandler.cs: copy resources outside of
	autotools hierarchy into project directory
	* templates/Makefile.include: include files of 
	BuildAction.Nothing in distribution

2006-06-19  Scott Ellington  <scott.ellington@gmail.com> 

	* SimpleProjectMakefileHandler.cs: 
	* AutotoolsContext.cs: 
	* SolutionDeployer.cs: 
	use the new CombineEntry.Version property
	* TarballTargetEditorWidget.cs: default to active config

2006-06-16  Scott Ellington  <scott.ellington@gmail.com> 

	* SolutionDeployer.cs: Deploy and GenerateFiles can now
	take a configuration parameter
	* Makefile.am: added new file.
	* TarballTargetEditorWidget.cs:
	* Handler.cs:
	Add option to set a default configuration at deployment.

2006-06-15  Scott Ellington  <scott.ellington@gmail.com> 
	
	* SolutionDeployer.cs: always run autogen.sh on Deploy
	* templates/Makefile.include: clean up

2006-06-15  Scott Ellington  <scott.ellington@gmail.com> 

	* SimpleProjectMakefileHandler.cs:
	* templates/exe.wrapper.in.template:
	pass runtime parameters on to exe wrapper
	* Handler.cs:
	* SolutionDeployer.cs:
	* MonoDevelop.Autotools.addin.xml:
	* Commands.cs:
	Moved 'make dist' functionality into SolutionDeployer to
	be consumed by the new IDeployHandler interface and removed
	'Create Distributable' command.	
	* Makefile.am: rename DeployHandler to Commands and
	removed a trailing space.

2006-06-15 Lluis Sanchez Gual  <lluis@novell.com>

	* Handler.cs: Implemented a basic IDeployHandler and the
	  needed support classes.
	* MonoDevelop.Autotools.addin.xml: Registered the new deploy
	  handler to the deploy service.
	* Makefile.am: Added Handler.cs and updated references.
	
2006-06-15  Scott Ellington  <scott.ellington@gmail.com> 

	* SimpleProjectMakefileHandler.cs:
	* SolutionDeployer.cs:
	* templates/Makefile.include:
	* templates/Makefile.am.project.template:
	* templates/configure.ac.template:
	* ISimpleAutotoolsSetup.cs:
	* AutotoolsContext.cs:
	* SolutionMakefileHandler.cs:
	Handle project configurations

2006-06-13  Scott Ellington  <scott.ellington@gmail.com> 

	* SimpleProjectMakefileHandler.cs: 
	remove Console.WriteLine
	* SolutionDeployer.cs:
	* MonoDevelop.Autotools.addin.xml:
	* DeployHandler.cs:
	* Makefile.am:
	Add new functionality which wraps 'make dist'
	and other changes

2006-06-09  Scott Ellington  <scott.ellington@gmail.com> 

	* SimpleProjectMakefileHandler.cs:
	* SolutionDeployer.cs:
	* IMakefileHandler.cs:
	* DeployHandler.cs:
	* templates/Makefile.include:
	* templates/Makefile.am.project.template:
	* Set.cs:
	* AutotoolsContext.cs:
	* SolutionMakefileHandler.cs:
	Add a IProgressMonitor and fixes for various project types.

2006-06-08  Scott Ellington  <scott.ellington@gmail.com> 

	* AutotoolsContext.cs: fix loading of templates to allow readonly

2006-06-07  Scott Ellington  <scott.ellington@gmail.com> 

	* Makefile.am: removed CSharpBinding dll ref

2006-06-05  Scott Ellington  <scott.ellington@gmail.com> 

	Added Autotools Addin.
